  @import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@200;300;400;500;600;700&display=swap");

  input:-webkit-autofill {
      box-shadow: 0 0 0 1000px rgba(255, 255, 255, 0) inset !important;
      -webkit-text-fill-color: #fff !important; /* ou a cor que você quiser */
      transition: background-color 5000s ease-in-out 0s;
  }


  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Open Sans", sans-serif;
  }
  body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    width: 100%;
    padding: 0 10px;
  }
  body::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: url("../images/base.jpg"), #000;
    background-position: center;
    background-size: cover;
  }
  .wrapper {
    width: 400px;
    border-radius: 8px;
    padding: 30px;
    text-align: center;
    border: 1px solid #4ac0eb52;
    backdrop-filter: blur(27px);
    -webkit-backdrop-filter: blur(8px);
    background: rgba(0, 0, 0, 0.505); 
  }
  form {
    display: flex;
    flex-direction: column;
  }
  h2 {
    font-size: 2rem;
    margin-bottom: 20px;
    color: #fff;
  }

  /* INPUT */

  .input-field {
    position: relative;
    border-bottom: 2px solid #ccc;
    margin: 15px 0;
  }
  .input-field label {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    color: #fff;
    font-size: 16px;
    pointer-events: none;
    transition: 0.15s ease;
  }
  .input-field input {
    width: 100%;
    height: 40px;
    background: transparent;
    border: none;
    outline: none;
    font-size: 16px;
    color: #fff;
  }


  /* Quando focado ou com conteúdo (inclusive pelo autocomplete) */
  .input-field input:focus + label,
  .input-field input:not(:placeholder-shown) + label {
    top: -10px;
    font-size: 13px;
    color: #ccc;
  }

  /* Fix para autocomplete */
  input:-webkit-autofill {
    box-shadow: 0 0 0 1000px rgba(255, 255, 255, 0) inset !important;
    -webkit-text-fill-color: #fff !important;
    transition: background-color 5000s ease-in-out 0s;
  }

  /* ----------------------------------- */

  /* Placeholder */

  /* Para navegadores modernos (Chrome, Safari, Edge, etc.) */
  ::placeholder {
      color: white;
      opacity: 1;
  }

  /* Firefox */
  input:-moz-placeholder {
      color: white;
      opacity: 1;
  }

  input::-moz-placeholder {
      color: white;
      opacity: 1;
  }

  /* Internet Explorer 10+ */
  input:-ms-input-placeholder {
      color: white;
  }

  /* Microsoft Edge */
  input::-ms-input-placeholder {
      color: white;
  }

  /* ----------------------------------- */


  .input-field input:focus~label,
  .input-field input:valid~label {
    font-size: 0.8rem;
    top: 10px;
    transform: translateY(-120%);
  }
  .forget {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 25px 0 35px 0;
    color: #fff;
  }
  #remember {
    accent-color: #fff;
  }
  .forget label {
    display: flex;
    align-items: center;
  }
  .forget label p {
    margin-left: 8px;
  }
  .wrapper a {
    color: #efefef;
    text-decoration: none;
  }
  .wrapper a:hover {
    text-decoration: underline;
  }
  button {
    background: #fff;
    color: #000;
    font-weight: 600;
    border: none;
    padding: 12px 20px;
    cursor: pointer;
    border-radius: 3px;
    font-size: 16px;
    border: 2px solid transparent;
    transition: 0.3s ease;
  }
  button:hover {
    color: #fff;
    border-color: #fff;
    background: rgba(255, 255, 255, 0.15);
  }
  .register {
    font-size: 16px;
    text-align: justify;
    margin-top: 30px;
    color: #fff;
  }

  div.alert {
    position: absolute;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #000000;
    color: #ffffff;
    padding: 15px;
    border-radius: 5px;
    z-index: 1000;
    display: none; /* Escondido por padrão */
  }

  /* The eye */

  .password-field {
    position: relative;
  }

  .toggle-password {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: #fff;
    font-size: 16px;
    user-select: none;
    opacity: 0.7;
    transition: 0.2s;
  }

  .toggle-password:hover {
    opacity: 1;
  }